/* Autor: Niklas Schaefer */

/* Quelle Grundlagen: https://www.youtube.com/watch?v=OXGznpKZ_sA */

/* Allgemeine Formatierung fuer den gesamten Koerper der Webseite */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #333;
}

/* Stil fuer den Hintergrundcontainer */
.background {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    position: relative;
}

/* Stil fuer das Menue-Schaltflaeche */
#menuButton {
    position: fixed;
    top: 2vw;
    left: 2vw;
    z-index: 2;
}

/* Stil fuer das Hauptmenue */
.menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    overflow: hidden;
    transition: width 0.3s ease-in-out;
    z-index: 3;
}

/* Animation fuer das Oeffnen des Menues */
.menu.open {
    width: 23vw;
}

/* Stil fuer den Menuekopf */
.menuHeader {
    padding: 2vw;
    text-align: center;
    font-weight: bold;
    position: relative;
}

/* Stil fuer das Eingabefeld im Menuekopf */
.menuHeader input {
    width: 16vw;
    margin-top: 2vw;
    padding: 1vw;
}

/* Stil fuer den Menuefuß */
.menuFooter {
    padding: 2vw;
    text-align: center;
}

/* Stil fuer den Seitentitel */
.pageTitle {
    text-align: center;
    color: #fff;
}
 
/* Stil fuer die Bildfelder */
.imageFields {
    display: flex;
    justify-content: space-around;
    margin: 2vw 0;
}

/* Stil fuer jedes einzelne Bildfeld */
.imageField {
    width: 20vw;
    height: 20vw;
    border: 2vw solid #ccc;
    border-radius: 1vw;
    cursor: pointer;
    position: relative;
}

/* Stil fuer den Rahmen um jedes Bildfeld */
.imageField::before {
    content: '';
    position: absolute;
    top: -1vw;
    left: -1vw;
    right: -1vw;
    bottom: -1vw;
    border: 1vw solid #000;
    border-radius: 1vw;
}

/* Stil fuer das Datum und die Uhrzeit */
.dateTime {
    text-align: right;
    margin: 0.2vw 0;
    width: 100%;
    position: fixed;
    top: 1vw; 
    right: 2vw; 
    color: #fff;
}

/* Stil fuer Texte im automatischen und manuellen Modus */
.automaticModeText{
    display: none;
    text-align: center;
    margin-top: 2vw;
}

/* Stil fuer Eingabefelder im automatischen und manuellen Modus */
.automaticModeText label {
    display: block; 
    margin-bottom: 1vw;
    color: #808080;
}

.automaticModeText input{
    width: 7ch;
    margin-bottom: 1vw;
    padding: 1vw;
}

/* Stil fuer das Bildermenue */
.imageMenu {
    display: none;
    position: absolute;
    bottom: 2vw;
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    padding: 1vw;
    border-radius: 0.5vw;
    max-height: calc(3 * (2vw + 1vw) + 1vw);
    overflow-y: auto;
    z-index: 4;
}

/* Stil fuer jedes Menueelement */
.menuItem {
    cursor: pointer;
    padding: 1vw;
    text-align: center;
    margin-bottom: 1vw;
}

/* Farbdefinitionen fuer Bewaesserungsmodi (farbenblindengerecht) */
.imageField.selected-winter {
    border: 2vw solid #56b4e9;
}

.imageField.selected-automatik {
    border: 2vw solid #009e77;
}

.imageField.selected-manuell {
    border: 2vw solid #e69f00;
}

.imageField.selected-manuelloff {
    border: 2vw solid #8a2be2; 
}

/* Stil fuer die Statusbox */
#statusBox {
    position: fixed;
    bottom: 2vw;
    right: 2vw;
    background-color: #333;
    color: #fff;
    padding: 1.5vw; 
    font-family: Arial, sans-serif;
    border-radius: 0.5vw;
    box-shadow: 0 0 1vw rgba(0, 0, 0, 0.3);
    font-size: 1vw; 
    line-height: 1.2; 
}

/* Stil fuer Textabschnitte in der Statusbox */
#statusBox p {
    margin: 0;
    padding: 5px 0;
}

#statusBox .winter {
    color: #56b4e9;
}

#statusBox .automatik {
    color: #009e77;
}

#statusBox .manuellAn {
    color: #e69f00;
}

#statusBox .manuellAus {
    color: #8a2be2; 
}

/* Stil fuer Schalter im manuellen Modus */
.manualModeSwitches {
    display: flex;
    justify-content: space-around;
    margin-top: 2vw;
}

/* Stil fuer manuellen Schalter */
.manualSwitch {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: #ccc;
    border: none;
    border-radius: 0.5vw;
    padding: 0.5vw 1vw;
    cursor: pointer;
    color: #fff;
}

.manualSwitch.on {
    background-color: #009e77; 
}

.manualSwitch.off {
    background-color: #ae4040; 
}

.manualSwitch:hover {
    background-color: #999;
}

.invalid-input {
    border-color: red;
    border-width: 0.5vw;
    border-radius: 0.5vw;
}

/* Stil fuer Dashboard */
.dashboard {
    position: fixed;
    bottom: 2vw;
    left: 2vw;
    background-color: #333;
    color: #fff;
    padding: 1vw;
    font-family: Arial, sans-serif;
    border-radius: 0.5vw;
    box-shadow: 0 0 0.5vw rgba(0, 0, 0, 0.3);
    font-size: 0.9vw; 
}

.dashboard p {
    margin: 0;
    padding: 3px 0; 
}
/* Stil fuer den Error */
#errorDiv {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: red;
    color: white;
    padding: 40px;
    font-size: 36px;
    border-radius: 20px;
    text-align: center;
    z-index: 9999;
}

/* Stil fuer Temperatur */
#temperatureValue {
    position: fixed;
    top: 3vw;
    right: 2vw; 
    color: #fff; 
}

/* Stil fuer die zusaetzliche Fehlermeldung */
.errorMessage {
    margin-top: 20px;
}
 